#ifndef DefaultRequestControllerH
#define DefaultRequestControllerH

#include "context/RequestController.h"

class DefaultRequestController: public RequestController
{
 private:
    AgObjectPtr originator;
    int64_t  lockTimeout;
    EvaluatorPtr evaluator;

public:
    AgObjectPtr getOriginator();
    void setOriginator(AgObjectPtr originator);
    int64_t  getLockTimeout();
    void setLockTimeout(int64_t  lockTimeout);
    EvaluatorPtr getEvaluator();
    void setEvaluator(EvaluatorPtr evaluator);


    DefaultRequestController();
    DefaultRequestController(int64_t  lockTimeout);
    DefaultRequestController(AgObjectPtr originator);
	DefaultRequestController(EvaluatorPtr evaluator);

};

#endif
